Bug 1249272 - Review Request: nodejs-node-status-codes - Node.js http.STATUS_CODES ponyfill
Review Request: nodejs-node-status-codes - Node.js http.STATUS_CODES ponyfill
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduardo Mayorga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1246749
  Show dependency treegraph
 
Reported: 2015-08-01 01:17 EDT by Parag Nemade
Modified: 2015-08-18 01:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-node-status-codes-1.0.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-07 08:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
e: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-08-01 01:17:39 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-node-status-codes.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-node-status-codes-1.0.0-1.fc22.src.rpm

Description:
The built-in list of HTTP status codes differ between Node.js versions, so
this is a good way to make sure it's consistent.
Comment 1 Eduardo Mayorga 2015-08-02 03:23:23 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-node-status-codes-1.0.0-1.fc24.noarch.rpm
          nodejs-node-status-codes-1.0.0-1.fc24.src.rpm
nodejs-node-status-codes.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-status-codes.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-node-status-codes.noarch: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-node-status-codes.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-node-status-codes.noarch: W: only-non-binary-in-usr-lib
nodejs-node-status-codes.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-status-codes.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-node-status-codes.src: W: spelling-error Summary(en_US) ponyfill -> pony fill, pony-fill, ponytail
nodejs-node-status-codes.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-node-status-codes.noarch: W: invalid-url URL: https://github.com/sindresorhus/node-status-codes <urlopen error [Errno -5] No address associated with hostname>
nodejs-node-status-codes.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-node-status-codes (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-node-status-codes:
    nodejs-node-status-codes
    npm(node-status-codes)



Source checksums
----------------
https://github.com/sindresorhus/node-status-codes/archive/6014eac021c0b9dac389d43b98360d1c13c063a6.tar.gz#/node-status-codes-6014eac.tar.gz :
  CHECKSUM(SHA384) this package     : b97577e459f87eb2e26ac24d8bcf51a91af7a4994c59de6bcb90ae6bbd1763c87830492b13d420bdfdb213310827ae7a
  CHECKSUM(SHA384) upstream package : b97577e459f87eb2e26ac24d8bcf51a91af7a4994c59de6bcb90ae6bbd1763c87830492b13d420bdfdb213310827ae7a
Comment 2 Eduardo Mayorga 2015-08-02 03:24:01 EDT
It looks fine.

PACKAGE APPROVED
Comment 3 Parag Nemade 2015-08-02 09:32:57 EDT
Thanks for quick review :)

New Package SCM Request
=======================
Package Name: nodejs-node-status-codes
Short Description: Node.js http.STATUS_CODES ponyfill implementation
Upstream URL: https://github.com/sindresorhus/node-status-codes
Owners: pnemade
Branches: f21 f22 f23
Comment 4 Parag Nemade 2015-08-02 09:35:15 EDT
correcting description below

New Package SCM Request
=======================
Package Name: nodejs-node-status-codes
Short Description: Node.js http.STATUS_CODES ponyfill
Upstream URL: https://github.com/sindresorhus/node-status-codes
Owners: pnemade
Branches: f21 f22 f23
Comment 5 Gwyn Ciesla 2015-08-04 09:11:40 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-08-05 03:45:34 EDT
nodejs-node-status-codes-1.0.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/nodejs-node-status-codes-1.0.0-1.fc23
Comment 7 Fedora Update System 2015-08-05 03:56:13 EDT
nodejs-node-status-codes-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-node-status-codes-1.0.0-1.fc22
Comment 8 Fedora Update System 2015-08-06 12:00:35 EDT
nodejs-node-status-codes-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository.
Comment 9 Parag Nemade 2015-08-07 08:54:12 EDT
built in rawhide.
Comment 10 Fedora Update System 2015-08-14 22:22:46 EDT
nodejs-node-status-codes-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository.
Comment 11 Fedora Update System 2015-08-18 01:14:46 EDT
nodejs-node-status-codes-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.